# -*- coding: utf-8 -*-
# vim: ft=yaml
---
# For help on this file's format, see https://kitchen.ci/
driver:
  name: docker
  use_sudo: false
  privileged: true
  run_command: /usr/lib/systemd/systemd

provisioner:
  name: salt_solo
  log_level: debug
  salt_install: none
  require_chef: false
  formula: steam
  salt_copy_filter:
    - .kitchen
    - .git

platforms:

  ## SALT `master`
  - name: arch-base-latest-master-py3
    driver:
      image: saltimages/salt-master-py3:arch-base-latest

  ## SALT `3004.1`
  - name: arch-base-latest-3004-1-py3
    driver:
      image: saltimages/salt-3004.1-py3:arch-base-latest

verifier:
  # https://www.inspec.io/
  name: inspec
  sudo: true
  reporter:
    # cli, documentation, html, progress, json, json-min, json-rspec, junit
    - cli

suites:
  - name: default
    provisioner:
      state_top:
        base:
          '*':
            - steam._mapdata
            - steam
      pillars:
        top.sls:
          base:
            '*':
              - steam
      pillars_from_files:
        steam.sls: pillar.example
    verifier:
      inspec_tests:
        - path: test/integration/default
  - name: clean
    provisioner:
      state_top:
        base:
          '*':
            - steam._mapdata
            - steam
            - steam.clean
      pillars:
        top.sls:
          base:
            '*':
              - steam
      pillars_from_files:
        steam.sls: pillar.example
    verifier:
      inspec_tests:
        - path: test/integration/clean
